SELinux warnings reported when installing httpd24-httpd on Red Hat Enterprise Linux 7

Solution Verified - Updated -

Issue

  • During the Installation of httpd24-httpd on RHEL 7.2 we see the following error message. httpd will be installed, but the message is irritating.
  Installing : httpd24-httpd-2.4.18-10.el7.x86_64
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.29, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.29:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2.
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.29, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.29:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2.
ValueError: Could not commit semanage Transaction

Environment

  • Red Hat Enterprise Linux 7
  • Red Hat Software Collections

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In